Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# DynamicC.h File Reference

`#include "tao/ORB.h"`
`#include "TAO_Export.h"`
`#include "tao/CDR.h"`
`#include "tao/Environment.h"`
`#include "tao/Typecode.h"`
`#include "tao/Sequence_T.h"`
`#include "tao/Seq_Var_T.h"`
`#include "tao/Seq_Out_T.h"`
`#include "Dynamic_ParameterC.h"`
`#include "StringSeqC.h"`

Include dependency graph for DynamicC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | Dynamic
namespace | TAO
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | _DYNAMIC_PARAMETERLIST_CH_
#define | _DYNAMIC_EXCEPTIONLIST_CH_
## Functions
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const Dynamic::ParameterList &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, Dynamic::ParameterList &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const Dynamic::ExceptionList &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, Dynamic::ExceptionList &)

## Define Documentation

#define _DYNAMIC_EXCEPTIONLIST_CH_

#define _DYNAMIC_PARAMETERLIST_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const Dynamic::ExceptionList & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const Dynamic::ParameterList & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | Dynamic::ExceptionList & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | Dynamic::ParameterList & |
| ) |